(function() {
    var mraid = window.mraid = {
        getState: function() {
            return vrtcal.state;
        },

        addEventListener: function(event, listener) {
            if (typeof(vrtcal.eventListenerMap[event]) === "undefined") {
                vrtcal.eventListenerMap[event] = [];
            }
            vrtcal.eventListenerMap[event].push(listener);
        },

        removeEventListener: function(event, listener) {
            if (typeof(listener) === "undefined") {
                // MRAID specs, section 5.3
                vrtcal.eventListenerMap[event] = [];
            } else {
                var index = vrtcal.eventListenerMap[event].indexOf(listener);
                if (index > -1) {
                    vrtcal.eventListenerMap[event].splice(index);
                }
            }
        }
    };
})();
